import newCommandCreator = require("./commands/new");
import newAppCommandCreator = require("./commands/new-app");
import newLibCommandCreator = require("./commands/new-lib");
export declare const commands: ({
    command: string;
    description: string;
    action: ({ appName }: {
        appName: any;
    }) => Promise<void>;
} | {
    command: string;
    description: string;
    options: {
        label: string;
        name: string;
    }[];
    action: ({ appName, options: { namespace } }: {
        appName: any;
        options: {
            namespace: any;
        };
    }) => Promise<void>;
} | {
    command: string;
    description: string;
    options: {
        label: string;
        name: string;
    }[];
    action: ({ libName, options: { namespace } }: {
        libName: any;
        options: {
            namespace: any;
        };
    }) => Promise<void>;
})[];
export { newCommandCreator as newCommand, newAppCommandCreator as newAppCommand, newLibCommandCreator as newLibCommand };
